package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import cd.casic.ci.common.pipeline.enums.AgentStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgent
 * @Description TODO
 * @Date 2025/4/8 21:16
 */
@Data
public class ThirdPartyAgent {
    @Schema(title = "Agent Hash ID", required = true)
    private String agentId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "节点ID", required = false)
    private String nodeId;
    @Schema(title = "状态")
    private AgentStatus status;
    @Schema(title = "主机名", required = true)
    private String hostname;
    @Schema(title = "系统", required = true)
    private String os;
    @Schema(title = "IP地址", required = true)
    private String ip;
    @Schema(title = "Secret KEY", required = true)
    private String secretKey;
    @Schema(title = "创建用户", required = true)
    private String createUser;
    @Schema(title = "创建时间", required = true)
    private Long createTime;
    @Schema(title = "并行执行的个数", required = false)
    private Integer parallelTaskCount;
    @Schema(title = "Docker构建机并行执行的个数", required = false)
    private Integer dockerParallelTaskCount;
    @Schema(title = "agent版本")
    private String masterVersion;
}
