package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineProjectRel
 * @Date：2025/03/24 16:45
 * @Filename：PipelineProjectRel
 * @description：Todo
 */
@Data
@Schema(title = "流水线信息")
public class PipelineProjectRel {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "项目标识", required = true)
    private String projectCode;
    @Schema(title = "插件版本", required = true)
    private String atomVersion;
}
