package cd.casic.ci.project.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "项目--权限")
public class ProjectByConditionDTO {

    @Schema(title = "项目名称")
    private String projectName;

    @Schema(title = "项目英文名称")
    private String englishName;

    @Schema(title = "权限")
    private boolean permission;

    @Schema(title = "环境路由")
    private String routerTag;

    @Schema(title = "bgId")
    private Long bgId;

    @Schema(title = "remotedev管理员")
    private String remotedevManager;
}