package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "新增操作日志")
public class OperationLogCreateRequest {
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "store组件类型", required = true)
    private Byte storeType;
    
    @Schema(title = "操作类型", required = true)
    private String optType;
    
    @Schema(title = "操作用户", required = true)
    private String optUser;
    
    @Schema(title = "操作内容", required = true)
    private String optDesc;
}