package cd.casic.pipeline.dispatch.pojo;

import cd.casic.pipeline.dispatch.pojo.enums.TaskPhase;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname TaskMessage
 * @Description TODO
 * @Date 2025/4/8 16:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "TASK信息")
public class TaskMessage {
    @Schema(title = "TASK ID", required = true)
    private Integer taskId;
    @Schema(title = "TASK VM ID", required = true)
    private Integer vmId;
    @Schema(title = "TASK 执行的脚本", required = true)
    private String script;
    @Schema(title = "TASK 执行完信息", required = true)
    private String message;
    @Schema(title = "TASK 执行的脚本结果", required = true)
    private TaskPhase status;
    @Schema(title = "TASK 执行的脚本结果", required = true)
    private Integer retryCount;
}
