package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildId
 * @Date：2025/03/24 15:07
 * @Filename：BuildId
 * @description：Todo
 */
@Data
@Schema(title = "构建模型-ID")
public class BuildId {
    @Schema(title = "构建ID", required = true)
    private String id;
    @Schema(title = "当前执行次数")
    private int executeCount = 1;
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "流水线ID")
    private String pipelineId;
    @Schema(title = "构建编号")
    private Integer num;
}
