package cd.casic.ci.process.api.process.pojo.audit;

import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.audit
 * @Project：ops-pro
 * @name：AuditPage
 * @Date：2025/03/24 19:42
 * @Filename：AuditPage
 * @description：Todo
 */
@Schema(title = "Audit分页数据包装模型")
public class AuditPage<T> {
    @Schema(title = "总记录行数", required = true)
    private Long count;
    @Schema(title = "第几页", required = true)
    private Integer page;
    @Schema(title = "每页多少条", required = true)
    private Integer pageSize;
    @Schema(title = "总共多少页", required = true)
    private Integer totalPages;
    @Schema(title = "数据", required = true)
    private List<T> records;
    @Schema(title = "是否拥有创建权限", required = true)
    private Boolean hasCreatePermission;
}
