package cd.casic.ci.process.api.process.pojo.audit;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.audit
 * @Project：ops-pro
 * @name：QueryAudit
 * @Date：2025/03/24 19:43
 * @Filename：QueryAudit
 * @description：Todo
 */
@Schema(title = "审计模型-Audit-查询")
public class QueryAudit {
    @Schema(title = "项目id", required = true)
    private String projectId;
    @Schema(title = "资源类型", required = true)
    private String resourceType;
    @Schema(title = "资源ID")
    private String resourceId;
    @Schema(title = "资源名称")
    private String resourceName;
    @Schema(title = "操作人")
    private String userId;
    @Schema(title = "开始时间")
    private String startTime;
    @Schema(title = "结束时间")
    private String endTime;
}
