package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewPipelinePage
 * @Date：2025/03/24 20:07
 * @Filename：PipelineViewPipelinePage
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "Pipeline分页数据包装模型")
public class PipelineViewPipelinePage<T> {
    @Schema(title = "总记录行数", required = true)
    private long count;
    @Schema(title = "第几页", required = true)
    private int page;
    @Schema(title = "每页多少条", required = true)
    private int pageSize;
    @Schema(title = "总共多少页", required = true)
    private int totalPages;
    @Schema(title = "数据", required = true)
    private List<T> records;
}
