package cd.casic.pipeline.store.pojo.common.media;

import cd.casic.pipeline.store.pojo.common.enums.MediaTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "媒体信息添加类")
public class MediaInfoReq {
    @Schema(title = "媒体url", required = true)
    private String mediaUrl;
    
    @Schema(title = "媒体类型", required = true)
    private MediaTypeEnum mediaType;
}