package cd.casic.pipeline.store.pojo.image.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "安装镜像到项目请求报文")
public class InstallImageReq {
    @Schema(title = "项目标识", required = true)
    private String projectCode;
    
    @Schema(title = "镜像标识", required = true)
    private String imageCode;
}